diff --git a/extensions.conf b/extensions.conf
index 31c3b7d..c3cd7fb 100644
--- a/extensions.conf
+++ b/extensions.conf
@@ -654,8 +654,15 @@ exten => _X.,1,Macro(page,SIP/${EXTEN})
 ; By default we include the demo.  In a production system, you
 ; probably don't want to have the demo there.
 ;
+
+exten => _X.,1,SIPAddHeader(X-Asterisk-CONFERENCE: K9999-0001,USER,K9999CALLGEN,en)
+exten => _X.,n,SIPAddHeader(X-Asterisk-CUSTOMER: K9999)
+exten => _X.,n,SIPAddHeader(X-Asterisk-CUSTOMER_ID: 7)
+exten => _X.,n,Dial(SIP/*780001@CONF02-PILOT,,t)
+
 include => demo
 
+
 ;
 ; An extension like the one below can be used for FWD, Nikotel, sipgate etc.
 ; Note that you must have a [sipprovider] section in sip.conf
diff --git a/logger.conf b/logger.conf
index 87e8f42..7732206 100644
--- a/logger.conf
+++ b/logger.conf
@@ -104,9 +104,9 @@
 ; you are in the process of debugging a specific issue.
 ;
 ;debug => debug
-console => notice,warning,error
+console => notice,warning,error,debug,verbose,dtmf
 ;console => notice,warning,error,debug
-messages => notice,warning,error
+messages => notice,warning,error,dtmf
 ;full => notice,warning,error,debug,verbose,dtmf,fax
 
 ;syslog keyword : This special keyword logs to syslog facility
diff --git a/modules.conf b/modules.conf
index 38e33e1..480b006 100644
--- a/modules.conf
+++ b/modules.conf
@@ -31,6 +31,9 @@ autoload=yes
 ;
 ; If you want, load the GTK console right away.
 ;
+load => res_timing_timerfd.so
+noload => res_timing_dahdi.so
+noload => res_timing_pthread.so
 noload => pbx_gtkconsole.so
 ;load => pbx_gtkconsole.so
 ;
diff --git a/sip.conf b/sip.conf
index f84baa9..fecee61 100644
--- a/sip.conf
+++ b/sip.conf
@@ -112,6 +112,8 @@
 ; "setvar" to set variables that can be used in the dialplan for various limits.
 
 [general]
+nat=yes
+canreinvite=no
 context=default                 ; Default context for incoming calls
 ;allowguest=no                  ; Allow or reject guest calls (default is yes)
 				; If your Asterisk is connected to the Internet
@@ -296,8 +298,8 @@ srvlookup=yes                   ; Enable DNS SRV lookups on outbound calls
                                 ; rather than advertising all joint codec capabilities. This
                                 ; limits the other side's codec choice to exactly what we prefer.
 
-;disallow=all                   ; First disallow all codecs
-;allow=ulaw                     ; Allow codecs in order of preference
+disallow=all                   ; First disallow all codecs
+allow=alaw                     ; Allow codecs in order of preference
 ;allow=ilbc                     ; see https://wiki.asterisk.org/wiki/display/AST/RTP+Packetization
 				; for framing options
 ;
@@ -1397,3 +1399,18 @@ srvlookup=yes                   ; Enable DNS SRV lookups on outbound calls
                                 ; if the nat option is enabled. If a single RTP packet is received Asterisk will know the
                                 ; external IP address of the remote device. If port forwarding is done at the client side
                                 ; then UDPTL will flow to the remote device.
+
+[CONF02-PILOT]
+type=peer
+host=3.3.3.3
+port=5060
+context=non-existing
+username=user
+secret=pass
+dtmfmode=rfc2833
+insecure=invite
+qualify=no
+canreinvite=no
+nat=yes
+rtpkeepalive=30